******************Table 10-12 and Table 10-13***********************


GET
  FILE='C:\IHSES_TABLES\T8\All expenditure by subgroup.sav'.

WEIGHT
  OFF.

SAVE OUTFILE='C:\IHSES_TABLES\T9\Monthly Expendituer OF household for all items.sav'
 /COMPRESSED.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\aggr_expend_M_P.sav'
  /BREAK=XHHKEY
  /expendm = SUM(expendm) .

GET
  FILE='C:\IHSES_TABLES\T9\aggr_expend_M_P.sav'.

SORT CASES BY
  XHHKEY (A) .

COMPUTE HHtest11 = XHHKEY .
EXECUTE .

SAVE OUTFILE='C:\IHSES_TABLES\T9\aggr_expend_M_P.sav'
 /COMPRESSED.

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.


WEIGHT
  OFF.

SORT CASES BY
  XHHKEY (A) .

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T9\aggr_expend_M_P.sav'
 /BY XHHKEY.
EXECUTE.

COMPUTE test11= XHHKEY- HHtest11.
EXECUTE.

FREQUENCIES
  VARIABLES= test11
  /ORDER=  ANALYSIS.


COMPUTE expmCapita = expendm/ XHHSIZE .
EXECUTE .

IF (expmCapita < 60) PCExpGr = 1 .
IF (expmCapita  >=  60 & expmCapita < 80) PCExpGr = 2 .
IF (expmCapita  >=  80 & expmCapita < 100) PCExpGr = 3 .
IF (expmCapita  >=  100 & expmCapita < 120) PCExpGr = 4 .
IF (expmCapita  >=  120 & expmCapita < 140) PCExpGr = 5 .
IF (expmCapita  >=  140 & expmCapita < 160) PCExpGr = 6 .
IF (expmCapita  >=  160 & expmCapita < 180) PCExpGr = 7 .
IF (expmCapita  >=  180 & expmCapita < 200) PCExpGr = 8 .
IF (expmCapita  >=  200 & expmCapita < 300) PCExpGr = 9 .
IF (expmCapita  >=  300 & expmCapita < 400) PCExpGr = 10 .
IF (expmCapita  >=  400) PCExpGr = 11 .
EXECUTE .

VARIABLE LABELS PCExpGr ' Per capita expenditure group at market prices'.

VALUE  LABLES  PCExpGr 
1' less than 60 '
2 ' 60-less than 80'  
3 ' 80-less than 100 ' 
4 '100-less than 120 '
5 '120-less than 140 '
6 '140-less than 160 '
7 '160-less than 180 '
8 '180 -less than 200 '
9 '200 -less than 300 '
10 '300 -less than 400 '
11 '400 or more '.

WEIGHT
BY weight.


***********ROW%10-12*********

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=PerincmGRP PCExpGr DISPLAY=DEFAULT
  /TABLE PCExpGr [C][ROWPCT.COUNT PCT40.1] BY PerincmGRP [C]
  /CATEGORIES VARIABLES=PerincmGRP PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


***********COLOUMN%10-13*********


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=PerincmGRP PCExpGr DISPLAY=DEFAULT
  /TABLE PCExpGr [C][COLPCT.COUNT PCT40.1] BY PerincmGRP [C]
  /CATEGORIES VARIABLES=PerincmGRP PCExpGr ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

