


********************************************************
IRAQ HOUSEHOLD SOCIOECONOMIC SURVEY 2006/7
            HEALTH(SECTION 5)

DATE: 23JANU 2008
BUSHRA.N.JASSIM


**************************************************************

*****tabal (1-4) ***************




GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.


Weight
By Weight.


  
   
*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).

RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).


RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).

RECODE
  q0502_1
  (1=1)  (2=2)  (8=5)  (9=6)  (10=7)  (3 thru 4=3)  (5 thru 7=4) (0=SYSMIS) (12=SYSMIS)  INTO  x502_1 .
EXECUTE .

VALUE LABELS x502_1  1'Bilndness' 2 'Deafness' 3 'Muteness or speech Disability'4' walking disability or physical or limp disability'5 'Mental retardation'6 'Multiple disability'7'Other'.

RECODE
  q0502_2
  (1=1)  (2=2)  (8=5)  (9=6)  (10=7)  (3 thru 4=3) (5 thru 7=4)  (0=SYSMIS)    INTO  x502_2 .
EXECUTE .

VALUE LABELS x502_1  1'Bilndness' 2 'Deafness' 3 'Muteness or speech Disability'4' walking disability or physical or limp disability'5 'Mental retardation'6 'Multiple disability'7'Other'.


RECODE
  q0502_3
  (1=1)  (2=2)  (8=5)  (9=6)  (10=7)  (3 thru 4=3) (5 thru 7=4) (0=SYSMIS) INTO  x502_3 .
EXECUTE .

VALUE LABELS x502_3  1'Bilndness' 2 'Deafness' 3 'Muteness or speech Disability'4' walking disability or physical or limp disability'5 'Mental retardation'6 'Multiple disability'7'Other'.


IF (x502_1 = 1 | x502_2 = 1 | x502_3 = 1) disability = 1 .

IF (x502_1 = 2 | x502_2 = 2 | x502_3 = 2) disability = 2 .

IF (x502_1 = 3 | x502_2 = 3 | x502_3 = 3) disability = 3 .

IF (x502_1 = 4 | x502_2 = 4 | x502_3 = 4) disability = 4 .

IF (x502_1 = 5| x502_2 = 5 | x502_3 = 5) disability = 5 .

IF (x502_1 = 6 | x502_2 = 6 | x502_3 = 6) disability = 6 .

IF (x502_1 = 7 | x502_2 = 7 | x502_3 = 7) disability = 7 .


VALUE LABELS disability 1'Bilndness' 2 'Deafness' 3 'Muteness or speech Disability'4' walking disability or physical or limp disability'5 'Mental retardation'6 'Multiple disability'7'Other'.
VARIABLE LEVEL  disability    (NOMINAL).



RECODE
  q0501
  (1=1)  (2=2)  (SYSMIS=2)  INTO  x501 .

VARIABLE LEVEL x501   (NOMINAL).

EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=disability x501 q0503_a AgeGrps q0102 xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGrps + q0102 + xgov + xnewgov + strat BY disability [ROWPCT.COUNT F40.1] + x501 [ROWPCT.COUNT F40.1] +
  q0503_a [MEAN F40.1]
  /CATEGORIES VARIABLES=disability AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER
  /CATEGORIES VARIABLES=x501 ORDER=A KEY=VALUE EMPTY=EXCLUDE.



******************************************************************
tabal(2-4)
******************************************************************


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.

*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).


RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).


RECODE
  q0502a_1
  (1=1)  (2=2)  (3=3)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (4=4)(10=10)   INTO  new502a_1 .

value labels new502a_1 1'born'2'work accident'3'work disease'4'chemical '5' land mine'6'civil'7'wars'8'no work'9'traffic'10'other'.
VARIABLE LEVEL  new502a_1    (NOMINAL).


EXECUTE .
FREQUENCIES
  VARIABLES=q0502a_1 new502a_1
  /ORDER=  ANALYSIS .
* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new502a_1 AgeGrps x102 xgov xnewgov strat DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + x102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT
  F40.1] BY new502a_1 [C]
  /CATEGORIES VARIABLES=new502a_1 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=AgeGrps x102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



*********tabal(3-4)***********


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.


*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).



EXECUTE .
DO IF (q0504a_1 = 12 & q0504a_2 = 12) .
RECODE
  q0504a_2  (12=SYSMIS)  .
END IF .
EXECUTE .
DO IF (q0504a_1 = 1 & q0504a_2 = 1) .
RECODE
  q0504a_2  (1=SYSMIS)  .
END IF .
EXECUTE .


IF (q0504A_1 ~=  1 | q0504A_2 ~=  1 | q0504A_3 ~=  1)Diabetes = 0 .
IF (q0504A_1 = 1 | q0504A_2 = 1 | q0504A_3 = 1)Diabetes = 1 .


IF (q0504A_1 ~=  2 | q0504A_2 ~=  2 | q0504A_3 ~=  2)highblood = 0 .
IF (q0504A_1 = 2 | q0504A_2 = 2 | q0504A_3 = 2)highblood = 1 .

IF (q0504A_1 ~=  3 | q0504A_2 ~=  3 | q0504A_3 ~=  3 )chronic = 0 .
IF (q0504A_1 = 3 | q0504A_2 = 3 | q0504A_3 = 3 )chronic = 1 .


IF (q0504A_1 ~=  4 | q0504A_2 ~=  4 | q0504A_3 ~=  4 )cancer = 0 .
IF (q0504A_1 = 4 | q0504A_2 = 4 | q0504A_3 = 4 )cancer = 1 .


IF (q0504A_1~= 5 | q0504A_2 ~=  5| q0504A_3 ~= 5)psychic = 0.

IF (q0504A_1 = 5 | q0504A_2 = 5| q0504A_3 = 5)psychic = 1 .


IF (q0504A_1 ~=  6 | q0504A_2 ~=  6 | q0504A_3 ~=  6 )Nervous = 0 .
IF (q0504A_1 = 6 | q0504A_2 = 6 | q0504A_3 = 6 )Nervous = 1 .

IF (q0504A_1 ~= 7 | q0504A_2 ~=  7 | q0504A_3 ~=  7 )Cardiac = 0 .
IF (q0504A_1 = 7 | q0504A_2 = 7 | q0504A_3 = 7 )Cardiac = 1 .



IF (q0504A_1 ~=  8 | q0504A_2 ~=  8 | q0504A_3 ~=  8 )Respiratory = 0 .
IF (q0504A_1 = 8 | q0504A_2 = 8 | q0504A_3 = 8 )Respiratory = 1 .


IF (q0504A_1~= 9 | q0504A_2 ~=  9| q0504A_3 ~=  9 )Stomach = 0 .


IF (q0504A_1 = 9 | q0504A_2 = 9| q0504A_3 = 9 )Stomach = 1 .


IF (q0504A_1 ~=  10 | q0504A_2 ~= 10 | q0504A_3 ~= 10)Chronickidney = 0 .

IF (q0504A_1 = 10 | q0504A_2 = 10 | q0504A_3 = 10)Chronickidney = 1 .


IF (q0504A_1 ~=  11 | q0504A_2 ~=  11 | q0504A_3 ~=  11)Anemia = 0 .
IF (q0504A_1 = 11 | q0504A_2 = 11 | q0504A_3 = 11)Anemia = 1 .


IF (q0504A_1 ~=  12 | q0504A_2 ~=  12 | q0504A_3 ~= 12)other_2 = 0 .

IF (q0504A_1 = 12 | q0504A_2 = 12 | q0504A_3 = 12)other_2 = 1 .

VARIABLE LEVEL Diabetes   (NOMINAL).

VARIABLE LEVEL Anemia   (NOMINAL).

VARIABLE LEVEL cancer(NOMINAL).

VARIABLE LEVEL chronic  (NOMINAL).
VARIABLE LEVEL Chronickidney  (NOMINAL).

VARIABLE LEVEL Diabetes   (NOMINAL).

VARIABLE LEVEL highblood  (NOMINAL).

VARIABLE LEVEL Nervous   (NOMINAL).

VARIABLE LEVEL other_2  (NOMINAL).
VARIABLE LEVEL psychic   (NOMINAL).
VARIABLE LEVEL Respiratory   (NOMINAL).

VARIABLE LEVEL Stomach  (NOMINAL).



RECODE
  q0504  (1=1)  (2=2)  (9=SYSMIS)  (0=SYSMIS)  (SYSMIS=2)  .
EXECUTE .
VARIABLE LEVEL q0504  (NOMINAL).




FREqUENCIES
  VARIABLES=Diabetes highblood chronic cancer psychic Nervous Cardiac Respiratory Stomach Chronickidney Anemia other_2
  /ORDER=  ANALYSIS .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Diabetes highblood chronic cancer psychic Nervous Cardiac Respiratory Stomach Chronickidney Anemia
  other_2 q0504 q0505_b AgeGrps q0102 xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGrps + q0102 + xgov + xnewgov + strat BY Diabetes [ROWPCT.COUNT F40.1] + highblood [ROWPCT.COUNT F40.1] + chronic
  [ROWPCT.COUNT F40.1] + cancer [ROWPCT.COUNT F40.1] + psychic [ROWPCT.COUNT F40.1] + Nervous [ROWPCT.COUNT F40.1] + Cardiac
  [C][ROWPCT.COUNT F40.1] + Respiratory [ROWPCT.COUNT F40.1] + Stomach [ROWPCT.COUNT F40.1] + Chronickidney [ROWPCT.COUNT
  F40.1] + Anemia [ROWPCT.COUNT F40.1] + other_2 [ROWPCT.COUNT F40.1] + q0504 [ROWPCT.COUNT F40.1] + q0505_b [MEAN F40.1]
  /CATEGORIES VARIABLES=Diabetes highblood chronic cancer psychic Nervous Cardiac Respiratory Stomach Chronickidney Anemia
  other_2 q0504 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=AgeGrps x102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


***************tabal3-4**************


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.



Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.

*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).


RECODE
  q0504a_2 q0504a_3  (0=SYSMIS)  .
EXECUTE .

IF (q0504 = 2 & not MISSING( q0504a_1)) non = 1 .
IF (q0504 = 2 & not MISSING( q0504a_2)) non = 1 .
IF (q0504 = 2 & not MISSING( q0504a_3)) non = 1 .


IF (q0504A_1 ~=  1 | q0504A_2 ~=  1 | q0504A_3 ~=  1)Diabetes = 0 .
IF (q0504A_1 = 1 | q0504A_2 = 1 | q0504A_3 = 1)Diabetes = 1 .


IF (q0504A_1 ~=  2 | q0504A_2 ~=  2 | q0504A_3 ~=  2)highblood = 0 .
IF (q0504A_1 = 2 | q0504A_2 = 2 | q0504A_3 = 2)highblood = 1 .

IF (q0504A_1 ~=  3 | q0504A_2 ~=  3 | q0504A_3 ~=  3 )chronic = 0 .
IF (q0504A_1 = 3 | q0504A_2 = 3 | q0504A_3 = 3 )chronic = 1 .


IF (q0504A_1 ~=  4 | q0504A_2 ~=  4 | q0504A_3 ~=  4 )cancer = 0 .
IF (q0504A_1 = 4 | q0504A_2 = 4 | q0504A_3 = 4 )cancer = 1 .


IF (q0504A_1~= 5 | q0504A_2 ~=  5| q0504A_3 ~= 5)psychic = 0.

IF (q0504A_1 = 5 | q0504A_2 = 5| q0504A_3 = 5)psychic = 1 .


IF (q0504A_1 ~=  6 | q0504A_2 ~=  6 | q0504A_3 ~=  6 )Nervous = 0 .
IF (q0504A_1 = 6 | q0504A_2 = 6 | q0504A_3 = 6 )Nervous = 1 .

IF (q0504A_1 ~= 7 | q0504A_2 ~=  7 | q0504A_3 ~=  7 )Cardiac = 0 .
IF (q0504A_1 = 7 | q0504A_2 = 7 | q0504A_3 = 7 )Cardiac = 1 .



IF (q0504A_1 ~=  8 | q0504A_2 ~=  8 | q0504A_3 ~=  8 )Respiratory = 0 .
IF (q0504A_1 = 8 | q0504A_2 = 8 | q0504A_3 = 8 )Respiratory = 1 .


IF (q0504A_1~= 9 | q0504A_2 ~=  9| q0504A_3 ~=  9 )Stomach = 0 .


IF (q0504A_1 = 9 | q0504A_2 = 9| q0504A_3 = 9 )Stomach = 1 .


IF (q0504A_1 ~=  10 | q0504A_2 ~= 10 | q0504A_3 ~= 10)Chronickidney = 0 .

IF (q0504A_1 = 10 | q0504A_2 = 10 | q0504A_3 = 10)Chronickidney = 1 .


IF (q0504A_1 ~=  11 | q0504A_2 ~=  11 | q0504A_3 ~=  11)Anemia = 0 .
IF (q0504A_1 = 11 | q0504A_2 = 11 | q0504A_3 = 11)Anemia = 1 .


IF (q0504A_1 ~=  12 | q0504A_2 ~=  12 | q0504A_3 ~= 12)other_2 = 0 .

IF (q0504A_1 = 12 | q0504A_2 = 12 | q0504A_3 = 12)other_2 = 1 .

RECODE
  Anemia cancer Cardiac chronic Chronickidney Diabetes other_2 psychic highblood Nervous Respiratory Stomach  non  (SYSMIS=0)  .
EXECUTE .



EXECUTE .
VARIABLE LEVEL Diabetes   (NOMINAL).

VARIABLE LEVEL Anemia   (NOMINAL).

VARIABLE LEVEL cancer(NOMINAL).

VARIABLE LEVEL chronic  (NOMINAL).
VARIABLE LEVEL Chronickidney  (NOMINAL).

VARIABLE LEVEL Diabetes   (NOMINAL).

VARIABLE LEVEL highblood  (NOMINAL).

VARIABLE LEVEL Nervous   (NOMINAL).

VARIABLE LEVEL other_2  (NOMINAL).
VARIABLE LEVEL psychic   (NOMINAL).
VARIABLE LEVEL Respiratory   (NOMINAL).

VARIABLE LEVEL Stomach  (NOMINAL).
VARIABLE LEVEL non (NOMINAL).



RECODE
  q0504  (1=1)  (2=2)  (8=SYSMIS)  (0=SYSMIS)  (SYSMIS=2)  .
EXECUTE .
VARIABLE LEVEL q0504  (NOMINAL).




FREqUENCIES
  VARIABLES=Diabetes highblood chronic cancer psychic Nervous Cardiac Respiratory Stomach Chronickidney Anemia other_2 non
  /ORDER=  ANALYSIS .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Diabetes highblood chronic cancer psychic Nervous Cardiac Respiratory Stomach Chronickidney Anemia
  other_2  non q0504 q0505_b AgeGrps q0102 xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGrps + q0102 + xgov + xnewgov + strat BY Diabetes [ROWPCT.COUNT F40.1] + highblood [ROWPCT.COUNT F40.1] + chronic
  [ROWPCT.COUNT F40.1] + cancer [ROWPCT.COUNT F40.1] + psychic [ROWPCT.COUNT F40.1] + Nervous [ROWPCT.COUNT F40.1] + Cardiac
  [C][ROWPCT.COUNT F40.1] + Respiratory [ROWPCT.COUNT F40.1] + Stomach [ROWPCT.COUNT F40.1] + Chronickidney [ROWPCT.COUNT
  F40.1] + Anemia [ROWPCT.COUNT F40.1] + other_2 [ROWPCT.COUNT F40.1] + non [ROWPCT.COUNT F40.1] + q0504 [ROWPCT.COUNT F40.1] + q0505_b [MEAN F40.1]
  /CATEGORIES VARIABLES=Diabetes highblood chronic cancer psychic Nervous Cardiac Respiratory Stomach Chronickidney Anemia
  other_2  non q0504 ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.





****tabal(4-4)**********



GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.

*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.





COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).

RECODE
  q0506
  (0=1)  (1=1)  (2=2)  (5=4)  (8=6)  (9=7)  (3 thru 4=3)  (6 thru 7=5)  (10 thru 13=6)  INTO  new506 .
EXECUTE .
value labels new506 1'no disability'2'did not receiveassist'3'gov or helth cinter'4'privetclinic hospital'5'general or specialist'6'nurse or tradition or nerreligious or out side or other'7'pharmacy'.
FREQUENCIES
  VARIABLES=new506
  /ORDER=  ANALYSIS .
VARIABLE LEVEL new506   (NOMINAL).

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new506 AgeGrps q0102 xgov xnewgov strat DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1]
  BY new506 [C]
  /CATEGORIES VARIABLES=new506 AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


******tabal(5-4)********



GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.


*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).

RECODE
  q0507
  (1=1)  (2=2)  (SYSMIS=2)  INTO  X507 .
EXECUTE .
value labels X507 1'YES'2'NO'.

VARIABLE LEVEL X507   (NOMINAL).



RECODE
  q0508_a
  (1=1)  (2=2)  (3=3)  (4=4)  (10=8)  (11=9)  (12=10)  (13=11)  (14=12)  (15=13)  (16=9)  (17=14)  (18=15)  (19=14)
  (20=16)  (21=15)  (22=17)  (5 thru 6=5)  (7 thru 9=6) (SYSMIS=17) INTO  new508_a .
EXECUTE .

value labels new508_a 1'diabetes'2'hypertension'3'heart'4'kidneys'5'tumors and high blood'6'mental and psychic and nervous and sensory'8'stomac'9'thyroid gland and thyroid'10' hepatitis'11'respiratory'12'gynecological'13'hematological'14'skin and venereal and parasitic'15'disabling diseases and other'16'parasitic and contagious'17'none'. 


VARIABLE LEVEL new508_a (NOMINAL).


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=X507 new508_a AgeGrps q0102 xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1]
  + strat [ROWPCT.COUNT F40.1] BY X507 + new508_a [C]
  /CATEGORIES VARIABLES=X507 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=new508_a AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

 
FREQUENCIES
  VARIABLES=new508_a
  /ORDER=  ANALYSIS .




******(6_4)*************


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.

*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).

RECODE
  q0508_b  (9=SYSMIS)  .
EXECUTE .


RECODE
  q0508_b
  (1=1)  (2=2)  (3=3)  (6=5)  (7=6)  (4 thru 5=4) (SYSMIS=6)     INTO  new508_b .
EXECUTE .
value labels new508_b 1'laceration'2'head wound and internal wounds'3'fractures'4'poisons and burns'5'other injury'6'none'.

VARIABLE LEVEL new508_b   (NOMINAL).

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new508_b AgeGrps q0102 xgov xnewgov strat DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1]
  BY new508_b
  /CATEGORIES VARIABLES=new508_b AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.
FREQUENCIES
  VARIABLES=q0508_b
  /ORDER=  ANALYSIS .



*****tabal(7- 4)*****

GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.



*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).


RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).


RECODE
  q0509  (0=SYSMIS)  .
EXECUTE 


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0509 AgeGrps q0102 xgov xnewgov strat DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov[ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1]
  BY q0509
  /CATEGORIES VARIABLES=q0509 AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.
FREQUENCIES
  VARIABLES=q0509
  /ORDER=  ANALYSIS .



******tabal(8-4)******

GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.

*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.



COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).


RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).



RECODE
  q0510  (5=SYSMIS)  .
EXECUTE .



RECODE
  q0511
  (3=2)  (8=5)  (1 thru 2=1)  (4 thru 5=3)  (6 thru 7=4)  (9 thru 12=6)  INTO  new511 .
EXECUTE .
value labels new511 1'Goverhospital or center'2'private clinic hospital'3'general or specialist doctort'4'doctor assistant and nurse'5'pharmacy'6'traditional health and outside Iraq and other'.
VARIABLE LEVEL new511   (NOMINAL).

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0507 q0510 new511 AgeGrps q0102 xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1]+ strat [ROWPCT.COUNT F40.1]
  BY q0507 + q0510 + new511
  /CATEGORIES VARIABLES=q0507 q0510 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=new511 AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.




*****tabal(9-4)*****


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.





*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).


RECODE
  q0512
  (1=1)  (2=2)  (3=3)  (4=4)  INTO  new512 .

value labels new512 1'same nahiya'2' same qadha'3'same gove'4'anther gover'.

VARIABLE LEVEL new512 (NOMINAL).



EXECUTE .
* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0507 new512 q0518 AgeGrps q0102 xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGrps + q0102 + xgov + xnewgov + strat BY q0507 [ROWPCT.COUNT F40.1] + new512 [C][ROWPCT.COUNT F40.1] + q0518 [MEAN]
  /CATEGORIES VARIABLES=q0507 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=new512 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.





*******tabal(10-4)*****


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.
Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.

*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LABELS strat 'strat'
VARIABLE LEVEL strat (NOMINAL).

RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .


VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).


RECODE
  q0512
  (1=1)  (2=2)  (3=3)  (4=4) (SYSMIS=0 )INTO  new512 .

value labels new512 1'same nahiya'2' same qadha'3'same gove'4'anther gover'.

VARIABLE LEVEL new512 (NOMINAL).

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new512 q0518 AgeGrps q0102 xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGrps + q0102 + xgov + xnewgov + strat BY new512 [ROWPCT.COUNT F40.1] + q0518 [MEAN F40.1]
  /CATEGORIES VARIABLES=new512 AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.






******tabal(11- 4)********



GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.

   SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.

RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).

RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).

DO IF (q0513 =0 | q0514 = 1| q0515 =0) .
RECODE
  q0513 q0514 q0515  (0=SYSMIS)  .
END IF .
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0513 q0515 q0514 AgeGRPS x102 XGOV xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGRPS [C] + x102 [C] + XGOV [C] + xnewgov + strat [C] BY q0513 [MEAN F40.1] + q0515 [MEAN F40.1] + q0514
  [C][ROWPCT.COUNT F40.1]
  /CATEGORIES VARIABLES=q0514 AgeGRPS XGOV xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=x102 ORDER=A KEY=VALUE EMPTY=INCLUDE.



*****tabal(12- 4)*********


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.

  SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Individuals.sav'
 /COMPRESSED.





*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).


RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).


RECODE
  q0516_1 q0516_2 q0516_3 q0516_4 q0516_5 q0516_6  (SYSMIS=0)  .
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0516_1 q0516_2 q0516_3 q0516_4 q0516_5 q0516_6 AgeGrps q0102 xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE AgeGrps + q0102 + xgov + xnewgov+ strat BY q0516_1 [MEAN COMMA40.1] + q0516_2 [MEAN COMMA40.1] + q0516_3 [MEAN COMMA40.1] +
  q0516_4 [MEAN COMMA40.1] + q0516_5 [MEAN COMMA40.1] + q0516_6 [MEAN COMMA40.1]
  /CATEGORIES VARIABLES=AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


****tabal(13-4)******


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.

Weight
By Weight.


   SAVE OUTFILE='C:\IHSES_TABLES\T4\Individuals-health.sav'
 /COMPRESSED.

*Age group
   
RECODE
      q0103
      (0 thru 4 = 1)(5 thru 9 = 2)(10 thru 14 = 3)(15 thru 19 = 4)(20 thru 24 = 5)(25 thru 29 = 6)
      (30 thru 34 = 7)(35 thru 39 = 8)(40 thru 44 = 9)(45 thru 49 = 10)(50 thru 54 = 11) (55 thru 59 = 12)(60 thru 64 = 13)
      (65 thru Highest = 14) INTO AgeGrps .
VARIABLE LABELS AgeGrps 'Age groups' .
VALUE LABELS AgeGrps 
1 '0- 4 '  
2 ' 5- 9 '    
3 ' 10-14 '   
4 ' 15-19 '    
5 ' 20- 24 '
6 ' 25- 29 ' 
7 ' 30- 34 '    
8 ' 35- 39 '    
9 ' 40- 44 '
10 '45- 49 '   
11 '50- 54 '     
12'55-59'
13 ' 60- 64 '     
14 '65 and more'.

VARIABLE LEVEL AgeGrps  (NOMINAL).
EXECUTE.

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).
RECODE
  q0102
  (1=1)  (2=2)  INTO x102.
EXECUTE .
value labels x102 1'Male' 2'Female'.
EXECUTE .
VARIABLE LEVEL x102   (NOMINAL).

RECODE
  q0517
  (1=1)  (2=2)  (5=4)  (6=5)  (7=6)  (8=7)  (9=8)  (10=9)  (3 thru 4=3)  INTO  new517 .
EXECUTE .
value labels new517 1'can notafford it'2'travel is diffical'3'no female doctor or no male docther/nurse'4'no medical facilitly'5'iliness was minor'6'not proper service'7'socil reasons'8'unsafedue to security'9'other'. 

VARIABLE LEVEL new517(NOMINAL).

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new517 AgeGrps q0102 xgov xnewgov strat DISPLAY=DEFAULT
  /TABLE AgeGrps [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov[ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1]
  BY new517
  /CATEGORIES VARIABLES=new517 AgeGrps q0102 xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



******tabal(13-4)********




GET FILE='C:\IHSES_TABLES\Originals\IHSES10-Jobs.sav'.

WEIGHT
  BY weight .

rename variable q1200_PE = XPERS.
SORT CASES BY XHHKEY (A)  XPERS (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T4\Job_4-4.sav'  /COMPRESSED.

*****************************************************************************************************************
** STEP 2:  We select the "maingro Occupation", following the criteria below:
**				
**		score = sum(months worked) /12 + sum(hours_worked)/40
**		Select job with Max score
**		
*****************************************************************************************************************

IF (q1203_01<0) q1203_01 = 0 . 
IF (q1203_02<0) q1203_02 = 0 . 
IF (q1203_03<0) q1203_03 = 0 . 
IF (q1203_04<0) q1203_04 = 0 . 
IF (q1203_05<0) q1203_05 = 0 . 
IF (q1203_06<0) q1203_06 = 0 . 
IF (q1203_07<0) q1203_07 = 0 . 
IF (q1203_08<0) q1203_08 = 0 . 
IF (q1203_09<0) q1203_09 = 0 . 
IF (q1203_10<0) q1203_10 = 0 . 
IF (q1203_11<0) q1203_11 = 0 . 
IF (q1203_12<0) q1203_12 = 0 . 
IF (q1204_01<0) q1204_01 = 0 . 
IF (q1204_02<0) q1204_02 = 0 . 
IF (q1204_03<0) q1204_03 = 0 . 
IF (q1204_04<0) q1204_04 = 0 . 
IF (q1204_05<0) q1204_05 = 0 . 
IF (q1204_06<0) q1204_06 = 0 . 
IF (q1204_07<0) q1204_07 = 0 . 
EXECUTE .

compute sum_mths 	= sum(q1203_01, q1203_02, q1203_03, q1203_04, q1203_05, q1203_06, q1203_07, q1203_08, q1203_09, q1203_10, q1203_11, q1203_12).
formats sum_mths (F3).
compute sum_hrs 	= sum(q1204_01, q1204_02, q1204_03, q1204_04, q1204_05, q1204_06, q1204_07).
formats sum_hrs (F3).
compute score 	= sum( sum_mths/12,  sum_hrs/40, (4-q1200_SN) / 4 , 0.001 * RND(2) ) .
formats score (F2.1).

SAVE OUTFILE='C:\IHSES_TABLES\T4\Job_4-4.sav'  /COMPRESSED.
GET FILE='C:\IHSES_TABLES\T4\Job_4-4.sav'.

*************************************************************************************************************************************
***	We aggregate the number of hours for ALL possible activities of the individual:
*************************************************************************************************************************************

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T4\temp_hrs12.sav'
  /BREAK=XHHKEY XPERS
  /sum_hrs12 = SUM(sum_hrs).

GET FILE='C:\IHSES_TABLES\T4\temp_hrs12.sav'.
SORT CASES BY   XHHKEY (A) XPERS.
SAVE OUTFILE='C:\IHSES_TABLES\T4\temp_hrs12.sav'.

GET FILE='C:\IHSES_TABLES\T4\Job_4-4.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T4\aggr.sav'
  /BREAK=XHHKEY XPERS
  /score = MAX(score).

GET FILE='C:\IHSES_TABLES\T4\Aggr.sav'.
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
compute flag=1.
formats flag (N1).
SAVE OUTFILE='C:\IHSES_TABLES\T4\aggr.sav'  
/COMPRESSED.

GET FILE='C:\IHSES_TABLES\T4\Job_4-4.sav' .
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T10\Job_4-4.sav'  /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T4\aggr.sav'  /BY XHHKEY XPERS score.
EXECUTE.

** We keep only the jobs that have max score, which means flag=1

FILTER OFF.
USE ALL.
SELECT IF(flag=1).
EXECUTE .


delete variables  flag, sum_mths, sum_hrs, score.

************************************************************************************
** Now in the file Job_4-4.sav we have the maingro job:
************************************************************************************

SAVE OUTFILE='C:\IHSES_TABLES\T4\Job_4-4.sav'  /COMPRESSED.

*****************************************************************************************************************
** STEP 3:  We open the file with individuals, and match the jobs from the new job's file and match the maingro
**	      occupation of each individual
*****************************************************************************************************************

GET  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.

SORT CASES BY   XHHKEY (A) XPERS.

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T4\temp_hrs12.sav'
 /BY XHHKEY XPERS.
EXECUTE.

WEIGHT
  OFF.


****************************************************************************************************************
** Drop variables that we don't need and save it with another name
****************************************************************************************************************

**DELETE variables q0401_A1 q0401_A2 q0401_A3 q0401_A4 q0401_B1 q0401_B2 q0401_B3 q0401_B4 q0401_C1 q0401_C2 q0401_C3 q0401_C4 q0402
  q0403 q0404 q0405 q0406 q0407_A q0407_B q0408 q0409 q0410L q0410C q0411 q0412 q0413 q0414 q0415 q0416 q0417 q0418_1 q0418_2
  q0418_3 q0418_4 q0418_5 q0418_6 q0418_7 q0418_8 q0418_9 q0501 q0502A_1 q0502A_2 q0502A_3 q0503_A
  q0504 q0504A_1 q0504A_2 q0504A_3 q0505_B q0506 q0507 q0508_A q0508_B q0509 q0510 q0511 q0512 q0513 q0514 q0515 q0516_1
  q0516_2 q0516_3 q0516_4 q0516_5 q0516_6 .

SORT CASES BY  XHHKEY (A) XPERS (A) .




SAVE OUTFILE='C:\IHSES_TABLES\T4\Individuals_jobs.sav'.

************************************************************************************
** Now in the file Individuals_jobs.sav  we have all individuals and the maingro 
** job if there is one, if not the variables related to maingro job are missing
************************************************************************************

*****************************************************************************************************************
** STEP 4:  Create variable Employ_status:
**		(1) Employment status
**			1. Working	
**			2. Unemployed	
**			3. Housekeeper		
**			4. With means	
**			5. Other	
**			6. No information on jobs
*****************************************************************************************************************
** We  create auxiliary variables:
**                        Working = 1 or 0
**                        Unemployed = 1 or 0
**                        Econ_active = sum(Working, Unemployed)
**           	        NotEc_activ = ~Econ_active
**                        
*****************************************************************************************************************
**	(1)  The person is classified as "Working" if has worked during the past 7 days (q0701) or
**	      q1204 >0 or was in temporarily away from work due to illness or vacation 
*****************************************************************************************************************

IF ( q0701 >0 | sum_hrs12 >0 | q0702 = 9) Working = 1 .
EXECUTE .

**************************************************************************************************************************
**	(2)  The person is classified as "Unemployed" if 
**		a) has NOT worked during the past 7 days (q0702), and
**	      	b) wants to work (q0703), and
**		c) the reason for working zero hours during the past 7 days if not alternative 9, and
**		d) has searched for a job in the past (q0705), and
**		e) is available to start working (q0707)	
**************************************************************************************************************************

IF ( q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  q0703 = 1 & q0702 ~= 9 & q0705 ~= 4 & q0707 = 1) Unemployed = 1 .
EXECUTE .

COMPUTE Econ_active = SUM(Unemployed ,Working) .   
EXECUTE .

RECODE
  Econ_active  (SYSMIS=0)  .
EXECUTE .

IF (Econ_active = 0) NotEc_activ= 1 .
IF (Econ_active = 1) NotEc_activ= 0 .

*****************************************************************************************************************
**	(3)  The person is classified as "Houskeeper" if is housekeeper in q0702 and if the reason in 
**	      q0704 is not that has other source of income or that cannot find a job.
*****************************************************************************************************************

IF (q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) & ( q0703 <> 1 or missing(q0703) )  & q0702 = 7  &  q0704  =  4 ) Housekeeper  = 1 .

*****************************************************************************************************************
**	(4)  The person is classified as "With means" if q0702 between codes 5-6 or 8, and Reason 
**	      in q0704 = 10.
*****************************************************************************************************************

IF (q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  ( q0702 = 5 | q0702 = 6 | q0702 = 8)  & q0704 = 10 & NotEc_activ = 1) Withmeans = 1 .

*****************************************************************************************************************

delete variables Employ_status.
execute.

IF (Working=1) 				Employ_status=1.
IF (Unemployed=1) 			Employ_status=2.
IF (Housekeeper=1) 			Employ_status=3.
IF (Withmeans=1) 			Employ_status=4.
IF (missing(Employ_status)) 	Employ_status=4.

VARIABLE LABEL Employ_status  'Employment status'.
VALUE LABELS Employ_status  1'Working' 2 'Unemployed' 3'Housekeeper' 4'Withmeans and Other' .
EXECUTE .

FREqUENCIES   VARIABLES=Employ_status   /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\IHSES_TABLES\T4\individuals_jobs.sav'
 /COMPRESSED.


************************************************************************




***SAVE OUTFILE='C:\IHSES_TABLES\T4\JOPAS_MOTHER..sav'
 /COMPRESSED.

**SORT CASES BY
  XHHKEY (A) Employ_status1   (A) .

***MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T4\Temp_EMPLOY.sav'
 /BY XHHKEY Employ_status   .
EXECUTE.


***SAVE OUTFILE='C:\IHSES_TABLES\T4\JOPAS_MOTHER.sav'
  /DROP=q0104d q0104m q0104y q0105 q0106 q0107a q0107b q0108 q0109 q0111 q0112 q0113 q0114 q0703 q0704 q0705 q0706f q0706s
  q0706t q0707 q0708 q0709 q0710_y q0710_m sum_hrs12 q1200_sn q1201 q1202a q1202b1 q1202b2 q1202e q1203_01 q1203_02 q1203_03
  q1203_04 q1203_05 q1203_06 q1203_07 q1203_08 q1203_09 q1203_10 q1203_11 q1203_12 q1204_01 q1204_02 q1204_03 q1204_04
  q1204_05 q1204_06 q1204_07 q1201tx q1301_id q1301_sn xq1302 q1302 q1303 q1304 q1305 q1306 q1307a q1307b q1307c q1307d q1307e
  q1307f q1307g q1307h q1307i q1308 q1309 q1310 q1311 q1312 q1313 q1314 q1315 q1316 q1317m q1317y q1318 q1319 q1320_1 q1320_2
  q1320_3 q1321c q1321k q1322n q1322u q1323c q1323k q1324c q1324k /COMPRESSED.

BY
  xhhkey (A) .

GET
  FILE='C:\IHSES_TABLES\T4\IHSES02&IHSES01.sav'.

SORT CASES BY
  xhhkey (A) .
EXECUTE.
MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T4\individuals_jobs.sav'
 /RENAME (old_q041 old_q042 old_q043 old_q051 old_q052 old_q053 q0102 q0103 q0104d q0104m q0104y q0105 q0106 q0107a q0107b
  q0108 q0109 q0110 q0111 q0112 q0113 q0114 q0502_1 q0502_2 q0502_3 q0517 q0518 q0519 q0520 q0521_m q0521_y q0522 q0523 q0524
  q0525 q0526 q0527 q0528 q0529 q0530 q0531 q0532 q0533 q0534 q0601a q0601b q0601c q0601d q0601e q0601f q0602 q0603_1 q0603_2
  q0603_3 q0603_4 q0604_1 q0604_2 q0604_3 q0605_1 q0605_2 q0605_3 q0606 q0701 q0702 q0703 q0704 q0705 q0706f q0706s q0706t
  q0707 q0708 q0709 q0710_m q0710_y weight xbeea xcluster xgov xhhsize xpers xstrat xwave = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10
  d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41
  d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72
  d73 d74 d75 d76 d77 d78 d79 d80 d81 d82)
 /BY xhhkey
 /DROP= d0
 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33
  d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64
  d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76 d77 d78 d79 d80 d81 d82.
EXECUTE.


** Education Status
 
GET
  FILE='C:\IHSES_TABLES\Originals\IHSES01-Household.sav'.
SORT CASES BY
  xhhkey (A) .
WEIGHT
  OFF.
GET
  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.
SORT CASES BY
  xhhkey (A) .
WEIGHT
  OFF.

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\Originals\ihses01-household.sav'
 /RENAME (weight xbeea xcluster xgov xhhsize xstrat xwave = d0 d1 d2 d3 d4 d5 d6)
 /BY xhhkey
 /DROP= d0 d1 d2 d3 d4 d5 d6.
EXECUTE.


WEIGHT
  BY weight .

SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02&IHSES01.sav'.

GET
  FILE='C:\IHSES_TABLES\T4\IHSES02&IHSES01.sav'.


RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (6 thru 7=6) (9 thru 12=8) (13=9)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree and Higher than bachelors degree' 
 9'Other'  
EXECUTE .

  FREqUENCIES VARIABLES=new_406  / ORDER= ANALYSIS.


IF  (q0402=1 )EducGrp= new_406 .

IF  (q0402=2 & q0410L=1&q0410C=1) EducGrp=1.
IF  (q0402=2 & q0410L=1&q0410C=2 | q0410C=3 ) EducGrp=2.
IF  (q0402=2 & q0410L=1&q0410C=4 | q0410C=5 | q0410C=6) EducGrp=3.

IF  (q0402=2 & q0410L=2) EducGrp=4.
IF  (q0402=2 & q0410L=3) EducGrp=5.
IF  (q0402=2 & q0410L=4) EducGrp=6.
IF  (q0402=2 & q0410L=5) EducGrp=6.
IF  (q0402=2 & q0410L=6) EducGrp=8.
IF  (q0402=2 & q0410L=7) EducGrp=10.

IF (q0402=3 & q0404=1) EducGrp=1.
IF (q0402=3 & q0404=2) EducGrp=2.
IF (q0402=3 & q0404=3) EducGrp=3.
IF (q0103 < 15) EducGrp = 11.
IF MISSING (EducGrp)  EducGrp=12

RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9 =9) (10=10) (11=11) (12=12)  INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other'  
11'Less than 15 Yrs old'
12'Unknown' .
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREqUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.

RECODE
  EducGrp
  (1=1)  (4=3)  (5=4)  (7=6)  (10=8)   (2 thru 3=2)  (6 =5)  (8 thru 9=7)  INTO  EducGrp1 .

VALUE LABELS EducGrp1 1'illitrate' 2 'read only 0r read and write' 3'Elementary '4 'Intermediate' 5'Vocational' 6'Technical diploma' 7'Bachelors degree or Higher than bachelores degree' 8'Other'. 
VARIABLE LEVEL EducGrp1 (NOMINAL).

IF (q0102 = 2 & q0103  >= 12 & q0103 <= 49 ) q0103n= q0103 .

RECODE
  q0103n
  (12 thru 14=1)  (15 thru 19=2)  (20 thru 24=3)  (25 thru 29=4)  (30 thru 34=5)  (35 thru 39=6)  (40 thru 44=7)  (45 thru 49=8)  INTO  q0103n1.
EXECUTE .
value labels q0103n1 1'12-14'2'15-19'3'20-24'4'25-29'5'30-34'6'35-39'7'40-44'8'45-49'.

VARIABLE LEVEL q0103n1  (NOMINAL).
 

COMPUTE X521 = (q0035Y - q0521_Y)*12 .
EXECUTE .
COMPUTE XX521 = q0035M - q0521_M .
EXECUTE .


COMPUTE NEWVARABL = (X521 + XX521)/12.
EXECUTE .

RECODE
  NEWVARABL  (Lowest thru 0=SYSMIS)  .
EXECUTE .





RECODE
  NEWVARABL
 (Lowest thru 1=1)  (1 thru 1.999=2)  (2 thru 2.999=3)  (3 thru 4.999=4)  (5 thru 9.999=5)  (10 thru 19.999=6)  (20 thru
  Highest=7) INTO NEWVARABL1.
EXECUTE .
value labels NEWVARABL1 1'LESS THAN ONE YEAR'2'1 LESS THAN 2'3'2 LESS THAN 3' 4'3 LESS THAN 5'5'5 LESS THAN 10'6'10 LESS THAN 20'7'20 OR MORE'.

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=NEWVARABL1 q0103n1 EducGrp1 xgov  xnewgov strat
    DISPLAY=DEFAULT
  /TABLE q0103n1 + EducGrp1 [C] + xgov+ xnewgov + strat BY NEWVARABL1 [C][ROWPCT.COUNT F40.1]
  /CATEGORIES VARIABLES=NEWVARABL1 q0103n1 EducGrp1 xgov strat xnewgov ORDER=A KEY=VALUE EMPTY=INCLUDE
  TOTAL=YES POSITION=AFTER.





*****tabal(15-4)******



GET
  FILE='C:\IHSES_TABLES\T4\individuals_jobs.sav'.
WEIGHT
  OFF.
SORT CASES BY
  xhhkey (A) .


GET
  FILE='C:\IHSES_TABLES\Originals\ihses02-individuals.sav'.
WEIGHT
  OFF.
SORT CASES BY
  xhhkey (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T4\individuals_jobs.sav'
 /RENAME (q0102 q0103 q0104d q0104m q0104y q0105 q0106 q0107a q0107b q0108 q0109 q0110 q0111 q0112 q0113 q0114 q0502_1
  q0502_2 q0502_3 q0517 q0518 q0519 q0520 q0521_m q0521_y q0522 q0523 q0524 q0525 q0526 q0527 q0528 q0529 q0530 q0531 q0532
  q0533 q0534 q0601a q0601b q0601c q0601d q0601e q0601f q0602 q0603_1 q0603_2 q0603_3 q0603_4 q0604_1 q0604_2 q0604_3 q0605_1
  q0605_2 q0605_3 q0606 q0701 q0702 q0703 q0704 q0705 q0706f q0706s q0706t q0707 q0708 q0709 q0710_m q0710_y weight xbeea
  xcluster xgov xhhsize xpers xstrat xwave = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22
  d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53
  d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76)
 /BY xhhkey
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22
 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53
  d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T4\JOPAS_MOTHER..sav'
 /COMPRESSED.

** Education Status 

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (9=8) (6 thru 7=6) (10 thru 12=9) (13=10)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other'  
EXECUTE .

  FREqUENCIES VARIABLES=new_406  / ORDER= ANALYSIS.


IF  (q0402=1 )EducGrp= new_406 .

IF  (q0402=2 & q0410L=1&q0410C=1) EducGrp=1.
IF  (q0402=2 & q0410L=1&q0410C=2 | q0410C=3 ) EducGrp=2.
IF  (q0402=2 & q0410L=1&q0410C=4 | q0410C=5 | q0410C=6) EducGrp=3.

IF  (q0402=2 & q0410L=2) EducGrp=4.
IF  (q0402=2 & q0410L=3) EducGrp=5.
IF  (q0402=2 & q0410L=4) EducGrp=6.
IF  (q0402=2 & q0410L=5) EducGrp=6.
IF  (q0402=2 & q0410L=6) EducGrp=8.
IF  (q0402=2 & q0410L=7) EducGrp=10.

IF (q0402=3 & q0404=1) EducGrp=1.
IF (q0402=3 & q0404=2) EducGrp=2.
IF (q0402=3 & q0404=3) EducGrp=3.
IF (q0103 < 15) EducGrp = 11.
IF MISSING (EducGrp)  EducGrp=12

RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9 =9) (10=10) (11=11) (12=12)  INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other'  
11'Less than 15 Yers old'
12'Unknown' .
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREqUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.

RECODE
  EducGrp
  (1=1)  (4=3)  (5=4)  (7=6)  (10=8)   (2 thru 3=2)  (6 =5)  (8 thru 9=7)  INTO  EducGrp1 .

VALUE LABELS EducGrp1 1'illitrate' 2 'read only 0r read and write' 3'Elementary '4 'Intermediate' 5'Vocational' 6'Technical diploma' 7'Bachelors degree or Higher than bachelores degree' 8'Other'. 





IF (q0102 = 2 & q0103  >= 12 & q0103 <= 49 ) q0103n= q0103 .

RECODE
  q0103n
  (12 thru 14=1)  (15 thru 19=2)  (20 thru 24=3)  (25 thru 29=4)  (30 thru 34=5)  (35 thru 39=6)  (40 thru 44=7)  (45 thru 49=8)  INTO  q0103n1.
EXECUTE .
value labels q0103n1 1'12-14'2'15-19'3'20-24'4'25-29'5'30-34'6'35-39'7'40-44'8'45-49'.

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).


EXECUTE.
* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0522 q0523 q0524 Q0103n1 EducGrp1 Employ_status xgov xnewgov strat
    DISPLAY=DEFAULT
  /TABLE Q0103n1 [C][ROWPCT.COUNT F40.1] + EducGrp1 [C][ROWPCT.COUNT F40.1] + Employ_status [C][ROWPCT.COUNT F40.1] + xgov
  [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] BY q0522 + q0523 + q0524
  /CATEGORIES VARIABLES=q0522 q0523 q0524 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Q0103n1 EducGrp1 Employ_status xgov xnewgov strat ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.





****tabal(16-4)*******




GET FILE='C:\IHSES_TABLES\Originals\IHSES10-Jobs.sav'.

WEIGHT
  BY weight .

rename variable q1200_PE = XPERS.
SORT CASES BY XHHKEY (A)  XPERS (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T4\Job_4-4.sav'  /COMPRESSED.

*****************************************************************************************************************
** STEP 2:  We select the "maingro Occupation", following the criteria below:
**				
**		score = sum(months worked) /12 + sum(hours_worked)/40
**		Select job with Max score
**		
*****************************************************************************************************************

IF (q1203_01<0) q1203_01 = 0 . 
IF (q1203_02<0) q1203_02 = 0 . 
IF (q1203_03<0) q1203_03 = 0 . 
IF (q1203_04<0) q1203_04 = 0 . 
IF (q1203_05<0) q1203_05 = 0 . 
IF (q1203_06<0) q1203_06 = 0 . 
IF (q1203_07<0) q1203_07 = 0 . 
IF (q1203_08<0) q1203_08 = 0 . 
IF (q1203_09<0) q1203_09 = 0 . 
IF (q1203_10<0) q1203_10 = 0 . 
IF (q1203_11<0) q1203_11 = 0 . 
IF (q1203_12<0) q1203_12 = 0 . 
IF (q1204_01<0) q1204_01 = 0 . 
IF (q1204_02<0) q1204_02 = 0 . 
IF (q1204_03<0) q1204_03 = 0 . 
IF (q1204_04<0) q1204_04 = 0 . 
IF (q1204_05<0) q1204_05 = 0 . 
IF (q1204_06<0) q1204_06 = 0 . 
IF (q1204_07<0) q1204_07 = 0 . 
EXECUTE .

compute sum_mths 	= sum(q1203_01, q1203_02, q1203_03, q1203_04, q1203_05, q1203_06, q1203_07, q1203_08, q1203_09, q1203_10, q1203_11, q1203_12).
formats sum_mths (F3).
compute sum_hrs 	= sum(q1204_01, q1204_02, q1204_03, q1204_04, q1204_05, q1204_06, q1204_07).
formats sum_hrs (F3).
compute score 	= sum( sum_mths/12,  sum_hrs/40, (4-q1200_SN) / 4 , 0.001 * RND(2) ) .
formats score (F2.1).

SAVE OUTFILE='C:\IHSES_TABLES\T4\Job_4-4.sav'  /COMPRESSED.
GET FILE='C:\IHSES_TABLES\T4\Job_4-4.sav'.

*************************************************************************************************************************************
***	We aggregate the number of hours for ALL possible activities of the individual:
*************************************************************************************************************************************

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T4\temp_hrs12.sav'
  /BREAK=XHHKEY XPERS
  /sum_hrs12 = SUM(sum_hrs).

GET FILE='C:\IHSES_TABLES\T4\temp_hrs12.sav'.
SORT CASES BY   XHHKEY (A) XPERS.
SAVE OUTFILE='C:\IHSES_TABLES\T4\temp_hrs12.sav'.

GET FILE='C:\IHSES_TABLES\T4\Job_4-4.sav'.

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T4\aggr.sav'
  /BREAK=XHHKEY XPERS
  /score = MAX(score).

GET FILE='C:\IHSES_TABLES\T4\Aggr.sav'.
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
compute flag=1.
formats flag (N1).
SAVE OUTFILE='C:\IHSES_TABLES\T4\aggr.sav'  
/COMPRESSED.

GET FILE='C:\IHSES_TABLES\T4\Job_4-4.sav' .
SORT CASES BY   XHHKEY (A) XPERS (A) score (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T10\Job_4-4.sav'  /COMPRESSED.

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T4\aggr.sav'  /BY XHHKEY XPERS score.
EXECUTE.

** We keep only the jobs that have max score, which means flag=1

FILTER OFF.
USE ALL.
SELECT IF(flag=1).
EXECUTE .


delete variables  flag, sum_mths, sum_hrs, score.

************************************************************************************
** Now in the file Job_4-4.sav we have the maingro job:
************************************************************************************

SAVE OUTFILE='C:\IHSES_TABLES\T4\Job_4-4.sav'  /COMPRESSED.

*****************************************************************************************************************
** STEP 3:  We open the file with individuals, and match the jobs from the new job's file and match the maingro
**	      occupation of each individual
*****************************************************************************************************************

GET  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.

SORT CASES BY   XHHKEY (A) XPERS.

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T4\temp_hrs12.sav'
 /BY XHHKEY XPERS.
EXECUTE.

WEIGHT
  OFF.


****************************************************************************************************************
** Drop variables that we don't need and save it with another name
****************************************************************************************************************

**DELETE variables q0401_A1 q0401_A2 q0401_A3 q0401_A4 q0401_B1 q0401_B2 q0401_B3 q0401_B4 q0401_C1 q0401_C2 q0401_C3 q0401_C4 q0402
  q0403 q0404 q0405 q0406 q0407_A q0407_B q0408 q0409 q0410L q0410C q0411 q0412 q0413 q0414 q0415 q0416 q0417 q0418_1 q0418_2
  q0418_3 q0418_4 q0418_5 q0418_6 q0418_7 q0418_8 q0418_9 q0501 x502_1 x502_2 x502_3 q0502A_1 q0502A_2 q0502A_3 q0503_A
  q0504 q0504A_1 q0504A_2 q0504A_3 q0505_B q0506 q0507 q0508_A q0508_B q0509 q0510 q0511 q0512 q0513 q0514 q0515 q0516_1
  q0516_2 q0516_3 q0516_4 q0516_5 q0516_6 q0517 q0518 q0519 q0520 q0521_M q0521_Y q0522 q0523 q0524 q0525 q0526 q0527 q0528
  q0529 q0530 q0531 q0532 q0533 q0534 q0601A q0601B q0601C q0601D q0601E q0601F q0602 q0603_1 q0603_2 q0603_3 q0603_4 q0604_1
  q0604_2 q0604_3 q0605_1 q0605_2 q0605_3 q0606 .

SORT CASES BY  XHHKEY (A) XPERS (A) .


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T4\Job_4-4.sav'
 /RENAME (XCLUST XGOV XHHNO XHHSIZE XSTRAT XWAVE = d0 d1 d2 d3 d4 d5)
 /BY XHHKEY XPERS
 /DROP= d0 d1 d2 d3 d4 d5.
EXECUTE.

FILTER OFF.
USE ALL.
SELECT IF(not missing(XCLUST)).
EXECUTE .


MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T4\Job_4-4.sav'
 /RENAME (weight xbeea xcluster xgov xhhsize XPERS xstrat xwave = d0 d1 d2 d3 d4 d5 d6 d7)
 /BY xhhkey
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7.
EXECUTE.


SAVE OUTFILE='C:\IHSES_TABLES\T4\Individuals_jobs.sav'.

************************************************************************************
** Now in the file Individuals_jobs.sav  we have all individuals and the maingro 
** job if there is one, if not the variables related to maingro job are missing
************************************************************************************

*****************************************************************************************************************
** STEP 4:  Create variable Employ_status:
**		(1) Employment status
**			1. Working	
**			2. Unemployed	
**			3. Housekeeper		
**			4. With means	
**			5. Other	
**			6. No information on jobs
*****************************************************************************************************************
** We  create auxiliary variables:
**                        Working = 1 or 0
**                        Unemployed = 1 or 0
**                        Econ_active = sum(Working, Unemployed)
**           	        NotEc_activ = ~Econ_active
**                        
*****************************************************************************************************************
**	(1)  The person is classified as "Working" if has worked during the past 7 days (q0701) or
**	      q1204 >0 or was in temporarily away from work due to illness or vacation 
*****************************************************************************************************************

IF ( q0701 >0 | sum_hrs12 >0 | q0702 = 9) Working = 1 .
EXECUTE .

**************************************************************************************************************************
**	(2)  The person is classified as "Unemployed" if 
**		a) has NOT worked during the past 7 days (q0702), and
**	      	b) wants to work (q0703), and
**		c) the reason for working zero hours during the past 7 days if not alternative 9, and
**		d) has searched for a job in the past (q0705), and
**		e) is available to start working (q0707)	
**************************************************************************************************************************

IF ( q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  q0703 = 1 & q0702 ~= 9 & q0705 ~= 4 & q0707 = 1) Unemployed = 1 .
EXECUTE .

COMPUTE Econ_active = SUM(Unemployed ,Working) .   
EXECUTE .

RECODE
  Econ_active  (SYSMIS=0)  .
EXECUTE .

IF (Econ_active = 0) NotEc_activ= 1 .
IF (Econ_active = 1) NotEc_activ= 0 .

*****************************************************************************************************************
**	(3)  The person is classified as "Houskeeper" if is housekeeper in q0702 and if the reason in 
**	      q0704 is not that has other source of income or that cannot find a job.
*****************************************************************************************************************

IF (q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) & ( q0703 <> 1 or missing(q0703) )  & q0702 = 7  &  q0704  =  4 ) Housekeeper  = 1 .

*****************************************************************************************************************
**	(4)  The person is classified as "With means" if q0702 between codes 5-6 or 8, and Reason 
**	      in q0704 = 10.
*****************************************************************************************************************

IF (q0701 = 0 & ( sum_hrs12 = 0 | missing(sum_hrs12) ) &  ( q0702 = 5 | q0702 = 6 | q0702 = 8)  & q0704 = 10 & NotEc_activ = 1) Withmeans = 1 .

*****************************************************************************************************************

delete variables Employ_status.
execute.

IF (Working=1) 				Employ_status=1.
IF (Unemployed=1) 			Employ_status=2.
IF (Housekeeper=1) 			Employ_status=3.
IF (Withmeans=1) 			Employ_status=4.
IF (missing(Employ_status)) 	Employ_status=4.

VARIABLE LABEL Employ_status  'Employment status'.
VALUE LABELS Employ_status  1'Working' 2 'Unemployed' 3'Housekeeper' 4'Withmeans and Other' .
EXECUTE .

FREqUENCIES   VARIABLES=Employ_status   /ORDER=  ANALYSIS .

SAVE OUTFILE='C:\IHSES_TABLES\T4\individuals_jobs.sav'
 /COMPRESSED.





********************************************************************



GET
  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.

WEIGHT
by weight .

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8=8)  (9=9)  (10 thru 12=10)  (13 thru Highest=11)  INTO  Degree .
EXECUTE .

RECODE
  q0406
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (8=7) (9=8) (6 thru 7=6) (10 thru 12=9) (13=10)   INTO  new_406 .
EXECUTE .

VALUE LABELS new_406 
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other'  
EXECUTE .

  FREqUENCIES VARIABLES=new_406  / ORDER= ANALYSIS.


IF  (q0402=1 )EducGrp= new_406 .

IF  (q0402=2 & q0410L=1&q0410C=1) EducGrp=1.
IF  (q0402=2 & q0410L=1&q0410C=2 | q0410C=3 ) EducGrp=2.
IF  (q0402=2 & q0410L=1&q0410C=4 | q0410C=5 | q0410C=6) EducGrp=3.

IF  (q0402=2 & q0410L=2) EducGrp=4.
IF  (q0402=2 & q0410L=3) EducGrp=5.
IF  (q0402=2 & q0410L=4) EducGrp=6.
IF  (q0402=2 & q0410L=5) EducGrp=6.
IF  (q0402=2 & q0410L=6) EducGrp=8.
IF  (q0402=2 & q0410L=7) EducGrp=10.

IF (q0402=3 & q0404=1) EducGrp=1.
IF (q0402=3 & q0404=2) EducGrp=2.
IF (q0402=3 & q0404=3) EducGrp=3.
IF (q0103 < 15) EducGrp = 11.
IF MISSING (EducGrp)  EducGrp=12

RECODE
  EducGrp
  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7) (8=8) (9 =9) (10=10) (11=11) (12=12)  INTO  EducGrp .
VARIABLE LABLES EducGrp 'Education status'.
VALUE LABELS EducGrp
 1'illetrate' 
 2'Read only'
 3'Read and Write' 
 4'Primary' 
 5'Intermediate' 
 6'Secondary or equivalent' 
 7'Technical diploma' 
 8'Bachelors degree' 
 9'Higher than bachelors degree'
 10'Other'  
11'Less than 15 Yrs old'
12'Unknown' .
EXECUTE .

VARIABLE LEVEL EducGrp (NOMINAL).
  FREqUENCIES VARIABLES=EducGrp  / ORDER= ANALYSIS.

RECODE
  EducGrp
  (1=1)  (4=3)  (5=4)  (7=6)  (10=8)   (2 thru 3=2)  (6 =5)  (8 thru 9=7)  INTO  EducGrp1 .

VALUE LABELS EducGrp1 1'illitrate' 2 'read only 0r read and write' 3'Elementary '4 'Intermediate' 5'Vocational' 6'Technical diploma' 7'Bachelors degree or Higher than bachelores degree' 8'Other'. 


SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Health.sav'
 /COMPRESSED.

RECODE
  q0103
  (0=0)  (1=1)  (2=2)  (3=3)  (4=4)   INTO  AgeG .
EXECUTE .

value lables AgeG  0 'Less Than 1 year' 1 '1-LT2' 2 '2-LT3'  3 '3-LT4' 4 '4-LT5' .

variable  level  AgeG  (Nominal) .


SAVE OUTFILE='C:\IHSES_TABLES\T4\Breast.sav'
 /DROP=XWAVE XSTRAT XHHSIZE q0104D q0104M q0104Y q0105 q0106 q0107A q0107B q0108 q0109 q0111 q0112 q0113
  q0114 q0401_A1 q0401_A2 q0401_A3 q0401_A4 q0401_B1 q0401_B2 q0401_B3 q0401_B4 q0401_C1 q0401_C2 q0401_C3 q0401_C4 q0402
  q0403 q0404 q0405 q0406 q0407_A q0407_B q0408 q0409 q0410L q0410C q0411 q0412 q0413 q0414 q0415 q0416 q0417 q0418_1 q0418_2
  q0418_3 q0418_4 q0418_5 q0418_6 q0418_7 q0418_8 q0418_9 q0501 q0502A_1 q0502A_2 q0502A_3 q0503_A
  q0504 q0504A_1 q0504A_2 q0504A_3 q0505_B q0506 q0507 q0508_A q0508_B q0509 q0510 q0511 q0512 q0513 q0514 q0515 q0516_1
  q0516_2 q0516_3 q0516_4 q0516_5 q0516_6 q0517 q0518 q0519 q0520 q0521_M q0521_Y q0522 q0523 q0524 q0601A q0601B q0601C 
  q0601D q0601E q0601F q0602 q0603_1 q0603_2 q0603_3 q0603_4 q0604_1
  q0604_2 q0604_3 q0605_1 q0605_2 q0605_3 q0606 q0701 q0702 q0703 q0704 q0705 q0706F q0706S q0706T q0707 q0708 q0709 q0710_Y
  q0710_M weight /COMPRESSED.

SAVE OUTFILE='C:\IHSES_TABLES\T4\IHSES02-Health.sav'
 /COMPRESSED.


GET FILE='C:\IHSES_TABLES\T4\Breast.sav'.


SAVE OUTFILE='C:\IHSES_TABLES\T4\Temp_Edu.sav'
  /DROP=XGOV q0102 q0110 q0525 strat AgeG /COMPRESSED.

GET
  FILE='C:\IHSES_TABLES\T4\Temp_Edu.sav'.


Rename Variables  (XPERS = Mother_ID).

Rename Variables  (EducGrp = Mother_Edu) .



RECODE
  Mother_Edu
  (1=1)  (4=3)  (5=4)  (7=6)  (10=8)   (2 thru 3=2)  (6 =5)  (8 thru 9=7)  INTO  Mother_Edu1.


VALUE LABELS Mother_Edu1 1'illitrate' 2 'read only 0r read and write' 3'Elementary '4 'Intermediate' 5'Vocational' 6'Technical diploma' 7'Bachelors degree or Higher than bachelores degree' 8'Other'. 



SORT CASES BY
  XHHKEY (A) Mother_ID (A) .


delete variables Degree.

SAVE OUTFILE='C:\IHSES_TABLES\T4\Temp_Edu.sav'
 /COMPRESSED.


GET  FILE='C:\IHSES_TABLES\T4\Breast.sav'.

Rename Variables (q0110 =  Mother_ID) .

SORT CASES BY
  XHHKEY (A) Mother_ID (A) .

MATCH FILES /FILE=*
 /TABLE='C:\IHSES_TABLES\T4\Temp_Edu.sav'
 /BY XHHKEY Mother_ID.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T4\Breast.sav'
 /COMPRESSED.


GET
  FILE='C:\IHSES_TABLES\T4\Breast.sav'.

VARIABLE LEVEL XGOV  (NOMINAL).
VARIABLE LEVEL q0102  (NOMINAL).
VARIABLE LEVEL q0525  (NOMINAL).
EXECUTE.

SORT CASES BY
  XHHKEY (A) Mother_ID (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T4\individuals_jobs.sav'
 /RENAME (q0102 q0103 xgov xpers = d0 d1 d2 d3)
 /BY xhhkey
 /DROP= d0 d1 d2 d3.
EXECUTE.

WEIGHT
  BY weight .

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0525 AgeG q0102 xgov xnewgov strat Mother_Edu1 Employ_status
    DISPLAY=DEFAULT
  /TABLE AgeG [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] +
  Mother_Edu1 [C][ROWPCT.COUNT F40.1] + Employ_status [C][ROWPCT.COUNT F40.1] BY q0525
  /CATEGORIES VARIABLES=q0525 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=AgeG q0102 xgov xnewgov strat Mother_Edu1 Employ_status ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.



****tabal(17-4)***********


GET
  FILE='C:\IHSES_TABLES\T4\individuals_jobs.sav'.

SORT CASES BY
  xhhkey (A) .
WEIGHT
  OFF.



GET
  FILE='C:\IHSES_TABLES\T4\Breast.sav'.

SORT CASES BY
  xhhkey (A) .
WEIGHT
  OFF.

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T4\individuals_jobs.sav'
 /RENAME (q0102 q0103 q0104d q0104m q0104y q0105 q0106 q0107a q0107b q0108 q0109 q0111 q0112 q0113 q0114 q0401_a1 q0401_a2
  q0401_a3 q0401_a4 q0401_b1 q0401_b2 q0401_b3 q0401_b4 q0401_c1 q0401_c2 q0401_c3 q0401_c4 q0402 q0403 q0404 q0405 q0406
  q0407_a q0407_b q0408 q0409 q0410c q0410l q0411 q0412 q0413 q0414 q0415 q0416 q0417 q0418_1 q0418_2 q0418_3 q0418_4 q0418_5
  q0418_6 q0418_7 q0418_8 q0418_9 q0501 q0502_1 q0502_2 q0502_3 q0502a_1 q0502a_2 q0502a_3 q0503_a q0504 q0504a_1 q0504a_2
  q0504a_3 q0505_b q0506 q0507 q0508_a q0508_b q0509 q0510 q0511 q0512 q0513 q0514 q0515 q0516_1 q0516_2 q0516_3 q0516_4
  q0516_5 q0516_6 q0517 q0518 q0519 q0520 q0521_m q0521_y q0522 q0523 q0524 q0525 q0526 q0527 q0528 q0529 q0530 q0531 q0532
  q0533 q0534 q0601a q0601b q0601c q0601d q0601e q0601f q0602 q0603_1 q0603_2 q0603_3 q0603_4 q0604_1 q0604_2 q0604_3 q0605_1
  q0605_2 q0605_3 q0606 q0701 q0702 q0703 q0704 q0705 q0706f q0706s q0706t
 q0707 q0708 q0709 weight xbeea xcluster xgov xhhsize xpers xstrat xwave = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14
  d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31 d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45
  d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62 d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76
  d77 d78 d79 d80 d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100 d101 d102 d103 d104 d105
  d106 d107 d108 d109 d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 d120 d121 d122 d123 d124 d125 d126 d127 d128 d129 d130
  d131 d132 d133 d134 d135 d136 d137 d138 d139)
 /BY xhhkey
 /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18 d19 d20 d21 d22 d23 d24 d25 d26 d27 d28 d29 d30 d31
  d32 d33 d34 d35 d36 d37 d38 d39 d40 d41 d42 d43 d44 d45 d46 d47 d48 d49 d50 d51 d52 d53 d54 d55 d56 d57 d58 d59 d60 d61 d62
  d63 d64 d65 d66 d67 d68 d69 d70 d71 d72 d73 d74 d75 d76 d77 d78 d79 d80
d81 d82 d83 d84 d85 d86 d87 d88 d89 d90 d91 d92 d93 d94 d95 d96 d97 d98 d99 d100 d101 d102 d103 d104 d105 d106 d107 d108 d109
  d110 d111 d112 d113 d114 d115 d116 d117 d118 d119 d120 d121 d122 d123 d124 d125 d126 d127 d128 d129 d130 d131 d132 d133 d134
  d135 d136 d137 d138 d139.
EXECUTE.

SAVE OUTFILE='C:\IHSES_TABLES\T4\Breast.jobs sav'
 /COMPRESSED.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



IF (q0527 = 1) immunizatio_card = 1 .
IF (q0527 = 2) immunizatio_card = 0 .
IF (q0527 =  - 2) immunizatio_card  = SYSMIS(q0527) .

EXECUTE .

value lables   immunizatio_card   1 'Child has immunizatio card'  0 'Child doest has immunizatio card' .

format  immunizatio_card  (F1).


IF (q0528 = 1) TB = 1 .
IF (q0528 = 2) TB = 0 .
IF (q0528 =  - 2) TB = SYSMIS(q0528) .

EXECUTE .

value lables TB  1 'TB' 0 'No' .

format  TB (F1).

IF (q0529 = 1) Polio = 1 .
IF (q0529 = 2) Polio = 0 .
IF (q0529 =  - 2) Polio = SYSMIS(q0529) .
IF (q0529 =  4) Polio = SYSMIS(q0529) .

EXECUTE .


value lables  Polio 1 'Polio' 0 'No' .

format  Polio (F1).

IF (q0530 = 1) DPT = 1 .
IF (q0530 = 2) DPT = 0 .
IF (q0530 =  - 2) DPT = SYSMIS(q0530) .

EXECUTE .

value lables  DPT 1 'DPT' 0 'No' .

format  DPT (F1).

IF (q0533 = 1) Measles = 1 .
IF (q0533 = 2) Measles = 0 .
IF (q0533 =  - 2) Measles = SYSMIS(q0533) .

EXECUTE .

value lables  Measles 1 'Measles' 0 'No' .

format  Measles (F1).


IF (q0534 = 1) Hepatitis_B = 1 .
EXECUTE .
IF (q0534 = 2) Hepatitis_B = 0 .
EXECUTE .
IF (q0534 =  - 2) Hepatitis_B = SYSMIS(q0534) .

EXECUTE .


value lables  Hepatitis_B  1 'Hepatitis_B'   0 'No' .


format  Hepatitis_B (F1).


VARIABLE LEVEL XGOV  (NOMINAL).
VARIABLE LEVEL q0102   (NOMINAL).
VARIABLE LEVEL immunizatio_card  (NOMINAL).
VARIABLE LEVEL TB  (NOMINAL).
VARIABLE LEVEL Polio  (NOMINAL).
VARIABLE LEVEL DPT  (NOMINAL).
VARIABLE LEVEL Measles  (NOMINAL).
VARIABLE LEVEL Hepatitis_B  (NOMINAL).
VARIABLE LEVEL Employ_status (NOMINAL).


RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=q0527 q0528 q0529 q0531 q0533 q0534 AgeG q0102 xgov xnewgov strat Mother_Edu1 Employ_status
    DISPLAY=DEFAULT
  /TABLE AgeG [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [C][ROWPCT.COUNT F40.1] + strat [C][ROWPCT.COUNT F40.1] +
  Mother_Edu1 [C][ROWPCT.COUNT F40.1]+ Employ_status[ROWPCT.COUNT F40.1] BY q0527 + q0528 + q0529 + q0531 + q0533 + q0534
  /CATEGORIES VARIABLES=q0527 q0528 q0529 q0531 q0533 q0534 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=AgeG q0102 xgov xnewgov strat Mother_Edu1 Employ_status ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.






****tabal(18-4)***********


GET
  FILE='C:\IHSES_TABLES\T4\Breast.sav'.

WEIGHT
by weight .

COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).



USE ALL.
COMPUTE filter_$=(q0103 < 5).
VARIABLE LABEL filter_$ 'q0103 < 5 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .
RECODE
  q0103
  (0=0)  (1=1)  (2=2)  (3=3)  (4=4) INTO  AgeG .
EXECUTE .

value lables AgeG  0 'Less Than 1 year' 1 '1-LT2' 3 '2-LT3'  3 '3-LT4' 4 '4-LT5' .

variable  level  AgeG  (Nominal) .


 
RECODE
  q0530
  (0=0)(1=1)  (2=2)  (3=3) (4 thru Highest=4 )    (SYSMIS=0)    INTO  xx530 .
VALUE LABELS xx530  0'notvaccinated'1'1 dose'2'2 doses'3'3 doses '4'4doses and more'.
VARIABLE LEVEL xx530 (Nominal) .



RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xx530 AgeG q0102 xgov xnewgov strat Mother_Edu1 DISPLAY=DEFAULT
  /TABLE AgeG [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1] + strat [ROWPCT.COUNT F40.1] +
  Mother_Edu1 [C][ROWPCT.COUNT F40.1] BY xx530 [C]
  /CATEGORIES VARIABLES=xx530 ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=AgeG q0102 xgov xnewgov strat Mother_Edu1 ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.





****tabal(19-4)***********


GET
  FILE='C:\IHSES_TABLES\T4\Breast.sav'.


COMPUTE XSTRAT = xstrat - xgov * 10 .
EXECUTE .

RECODE
  XSTRAT
  (2=2)  (1=3)  (3 thru 5=1)  INTO  strat .
VALUE LABELS strat 1'Governorate centers'2' Other urban'3'Rural'. 
EXECUTE .
VARIABLE LEVEL strat (NOMINAL).

RECODE
  xgov
  (11=1)  (13=2)  (15=3)  (23=4)  (ELSE=5)  INTO  newgov .
RECODE
  newgov
  (4=2)  (5=3)  (1 thru 3=1)  INTO  xnewgov .
EXECUTE .

VALUE LABELS xnewgov 1'kurdistan'2'baghdad'3'other gover'.

VARIABLE LEVEL xnewgov   (NOMINAL).


USE ALL.
COMPUTE filter_$=(q0103 < 5).
VARIABLE LABEL filter_$ 'q0103 < 5 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

RECODE
  q0103
  (0=0)  (1=1)  (2=2)  (3=3)  (4=4) INTO  AgeG .
EXECUTE .

value lables AgeG  0 'Less Than 1 year' 1 '1-LT2' 3 '2-LT3'  3 '3-LT4' 4 '4-LT5' .

variable  level  AgeG  (Nominal) .


***RECODE
  q0532
  (0=0)  (1=1)(2=2)  (3 thru Highest=3) (SYSMIS=0)     INTO  new_q532 .
EXECUTE .


RECODE
  q0532
  (0=0)  (1=1)  (2=2)  (3=3) (5 thru 9=4)  (SYSMIS=0)     INTO  new_q532 .
EXECUTE .


VALUE LABELS new_q532 0'none'1'0ne dose'2'2 dose '3' 3dose '4'on none.

 VARIABLE LEVEL new_q532    (NOMINAL).



* Custom Tables.
CTABLES
  /VLABELS VARIABLES=new_q532 AgeG q0102 xgov xnewgov strat Mother_Edu1 Employ_status
    DISPLAY=DEFAULT
  /TABLE AgeG [ROWPCT.COUNT F40.1] + q0102 [ROWPCT.COUNT F40.1] + xgov [ROWPCT.COUNT F40.1] + xnewgov [ROWPCT.COUNT F40.1] +strat[ROWPCT.COUNT F40.1] +
  Mother_Edu1 [C][ROWPCT.COUNT F40.1] + Employ_status [ROWPCT.COUNT F40.1] BY new_q532
  /CATEGORIES VARIABLES=new_q532 AgeG q0102 xgov xnewgov Mother_Edu1 Employ_status ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES
  POSITION=AFTER.








**********************************


bushra .n.jassim
section .(5)  helth










