************************Table 10-5 ********************

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

WEIGHT
  OFF.

GET
  FILE='C:\IHSES_TABLES\Originals\IHSES02-Individuals.sav'.

WEIGHT
  OFF.

IF (Q0103 < 15) CHtest = 1 .
IF (Q0103 >= 15) CHtest = 0.
EXECUTE .

AGGREGATE
  /OUTFILE='C:\IHSES_TABLES\T9\agg_CHtest.sav'
  /BREAK=XHHKEY
  /CHtest = SUM(CHtest).

GET
  FILE='C:\IHSES_TABLES\T9\agg_CHtest.sav'.
  
COMPUTE HHtest10 = XHHKEY .
EXECUTE .

SORT CASES BY  XHHKEY (A) .
SAVE OUTFILE='C:\IHSES_TABLES\T9\agg_CHtest.sav'.

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.
SORT CASES BY  XHHKEY (A) .

MATCH FILES /FILE=*
 /FILE='C:\IHSES_TABLES\T9\agg_CHtest.sav'
 /BY XHHKEY.
EXECUTE.

COMPUTE test10= XHHKEY- HHtest10.
EXECUTE.

FREQUENCIES
  VARIABLES= test10
  /ORDER=  ANALYSIS.

RECODE
  CHtest
  (0=0)  (1=1)  (2=2)  (3=3)  (4=4)  (5=5)  (6=6)  (7=7)  (8 thru Highest=8)  INTO  CHNoGRP .
VALUE LABELS CHNoGRP   0 'none'   1  '1'  2 '2'  3 '3'  4 '4'  5 '5' 6 '6'   7  '7'  8 ' 8 And more'.
EXECUTE .

* to find HH Size GRP

RECODE
  XHHSIZE
  (0=0)  (1 thru 2=1)  (3=2)  (4=3)  (5=4)  (6=5)  (7=6)  (8=7) (9=8) (10=9) (11 thru 12 =10) (13 thru Highest=11)   INTO HHsizeGRP .
VARIABLE LABELS HHsizeGRP 'Household size group' .

EXECUTE .

value lables HHsizeGRP 
1 '1-2'
2 '3'
3 '4'
4 '5'
5 '6'
6 '7'
7 '8'
8 '9'
9 '10'
10'11-12'
11 '13 and more'.


******************************************************

RECODE
  xgov
  (11=1)  (13 =1)  (15=1)  (23=2)  (12=3)  (14=3)  (21=3)  (22=3) (24=3) (25=3) (26 =3) (27=3) (28=3) (31=3) (32=3)(33=3)(34=3)(35=3)   INTO Region .
VARIABLE LABELS Region 'Region' .

EXECUTE .

value lables Region 
1 'Kurdistan'
2 'Baghdad'
3 'Other Governorates'.


WEIGHT
BY weight.


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=XGOV Region xstratGRP HHsizeGRP CHNoGRP DISPLAY=DEFAULT
  /TABLE XGOV [C][ROWPCT.COUNT PCT40.1] + Region [C][ROWPCT.COUNT PCT40.1]+ xstratGRP [C][ROWPCT.COUNT PCT40.1] + HHsizeGRP [C][ROWPCT.COUNT PCT40.1] + CHNoGRP
  [C][ROWPCT.COUNT PCT40.1] BY PerincmGRP [C]
  /CATEGORIES VARIABLES=PerincmGRP ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=XGOV Region xstratGRP HHsizeGRP CHNoGRP ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.
