**********Table10-1U**************
**Income of individuals
**With totals
**prepeared by  Dahlia Al-any**
**3-Oct-2007**
 **************************************

GET
  FILE='C:\IHSES_TABLES\T9\Household & Income.sav'.

SORT CASES BY
  XHHKEY (A) .


***********************************************************************
**Compute wages
**	(1) Compute Cash wages and allowence:Cash_W_All 
**	(2) Compute Payment in kind:Inkind_W_All 
**       (3) Compute total TOT_Wage 
***********************************************************************

COMPUTE Cash_W_All =(SUM( wCASH_2 ,Allcash_5)) /XHHSIZE .
VARIABLE LABELS Cash_W_All 'Cash wages and allowence' .
EXECUTE .

COMPUTE Inkind_W_All = (SUM(winkind_3 , Alinkand_6)) /XHHSIZE .
VARIABLE LABELS Inkind_W_All 'Payment in kind' .
EXECUTE .

COMPUTE  TOT_Wage = SUM(Cash_W_All,Inkind_W_All) .
VARIABLE LABELS TOT_Wage 'Total of wages & salaries' .
EXECUTE .


**********************************************************************
**Incom of own account wokers
**From item TOTEMP19 in  Income &household.sav 
**It means all economic incomes:agriculture,trade,industry,
**Construction,transportation and service
**********************************************************************

COMPUTE  OwnAcc= TOTEMP19/XHHSIZE .
VARIABLE LABELS OwnAcc 'Income of own account' .
EXECUTE .


*****************************************************************************************
** Income from property**
**	(1)rent for land :RentL from 1501-1503
**	(2)rent for dwelling buildings:RentB from 1504
**	(3)rent for non dwelling buildings:Rented from 1505
**	(4)other rent :other rent from 1506-1508 
**	(5)interest on deposit and bonds:Intretinc from1511
**	(6)profits fron bonds,shares and partnerships:bondloanshare from 1502,1509,1510
**	(7)other proprrty income IntprpInc from 1512
**	(8) social salaries :TRincome_23 from 1522-1535 

******************************************************************************************
**(1)

COMPUTE RentL = (SUM(AgLndRntInc,OpSpLndInc)) /XHHSIZE .
VARIABLE LABELS RentL 'Rent for land' .
EXECUTE .

***********************************************************************************
**(2)

COMPUTE RentB= RsdBldInc/XHHSIZE .
VARIABLE LABELS RentB 'rent for dwelling buildings' .
EXECUTE .

***********************************************************************************
**(3)

COMPUTE Rented = NRsdBldInc/XHHSIZE .
VARIABLE LABELS Rented 'rent for non dwelling buildings' .
EXECUTE .

***********************************************************************************
**(4)

COMPUTE otherent =(SUM(EqpRntInc,TrnsRntInc,OthrRntInc)) /XHHSIZE .
VARIABLE LABELS otherent 'other rent ' .
EXECUTE .


***********************************************************************************
**(5)

COMPUTE Deposit_bonds_loans=IntrstInc/XHHSIZE.
VARIABLE LABELS Deposit_bonds_loans 'Interest on deposit ,bonds &loans' .
EXECUTE .

***********************************************************************************
**(6)

COMPUTE Bond_share = (SUM(AgLndInc , SharesInc , PrtPrftnc)) /XHHSIZE .
VARIABLE LABELS bond_share 'Profit from bonds,shares&partnership' .
EXECUTE .

***********************************************************************************
**(7)

COMPUTE Property = IntPrpInc /XHHSIZE .
VARIABLE LABELS  Property 'Other proprty income' .
EXECUTE .

***********************************************************************************
**(8)

COMPUTE TOT_Property = SUM(RentL,RentB,Rented ,otherent,Deposit_bonds_loans, Bond_share ,Property) .
VARIABLE LABELS  TOT_Property 'Total of property income' .
EXECUTE .

************************************************************************************
** Transfer Income**
**	(1) social salaries :TRincome_23 from 1522-1535 
**	(2)cash &kind aids : CKAids from 1536-1545 
**	(3)recieved insurance  claim:InsrInc from 1546 
**	(4)other income :othertransf from 1547,1548,1549,1551,1553
**       (5)Total of transfer income :TOT_transfer
************************************************************************************
**(1)

COMPUTE Ssalaries =TRincome_23 /XHHSIZE .
VARIABLE LABELS Ssalaries 'Social salaries' .
EXECUTE .

************************************************************************************
**(2)

COMPUTE CKAids = (SUM(HHIrqCshInc,HHAbrCshInc,GovCshInc,OthIrqCshInc,OthAbrAssInc,HHIrqKndInc,HHAbrKndInc,GovKndInc,OthIrqKndInc,OthAbrKndInc)) /XHHSIZE .
VARIABLE LABELS CKAids 'Cash & Kind Aids' .
EXECUTE .

************************************************************************************
**(3)

COMPUTE Insurence = InsrInc /XHHSIZE .
VARIABLE LABELS Insurence 'Resieved insurence claims' .
EXECUTE .

************************************************************************************
**(4)

COMPUTE Other_Transfer = (SUM(AlmnInc , ZakatInc , InhErnInc , LtrPrzInc , OthtrnsInc)) /XHHSIZE  .
VARIABLE LABELS Other_Transfer 'Other transfer Income' .
EXECUTE .

************************************************************************************
**(5)

COMPUTE TOT_transfer =SUM(Ssalaries,CKAids,Insurence,Other_Transfer).
VARIABLE LABELS TOT_transfer 'Total of transfer income' .
EXECUTE .


************************************************************************************
**ration quota subsidy
**from file ration comuted from expenditure syntax
**merged with the file of income
************************************************************************************


COMPUTE MP = (expendm - expendp)/XHHSIZE  .
VARIABLE LABELS MP ' Diefference subsidy' .
EXECUTE .


************************************************************************************
** Capital  revenue from income table
************************************************************************************

COMPUTE  Cap_Re = CapR_29/XHHSIZE .
VARIABLE LABELS Cap_Re  'Capital revenue' .
EXECUTE .

************************************************************************************

COMPUTE  TOT = SUM(TOT_Wage,OwnAcc,TOT_Property,TOT_Transfer).
VARIABLE LABELS TOT 'Gross current income'.
EXECUTE .

RECODE
  TOT (Lowest thru 0=0)  .
EXECUTE .

************************************************************************************

COMPUTE TIPRec28per= SUM (TOT, MP).
VARIABLE LABELS TIPRec28per  'income market' .
EXECUTE .

************************************************************************************


COMPUTE  TOT_totals = SUM(TOT,MP ,Cap_Re ).
VARIABLE LABELS TOT_totals  'Grand totals'.
EXECUTE .

************************************************************************************

RECODE
  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property Ssalaries CKAids
  Insurence Other_Transfer MP TIPRec28per Cap_Re TOT_Wage TOT_Property TOT_Transfer TOT TOT_totals  (SYSMIS=0)  .
EXECUTE .


************************
**Region Category
************************

RECODE
  xgov
  (11=1)  (13 =1)  (15=1)  (23=2)  (12=3)  (14=3)  (21=3)  (22=3) (24=3) (25=3) (26 =3) (27=3) (28=3) (31=3) (32=3)(33=3)(34=3)(35=3)   INTO Region .
VARIABLE LABELS Region 'Region' .

EXECUTE .

value lables Region 
1 'Kurdistan'
2 'Baghdad'
3 'Other Governorates'


*Define Variable Properties.
*RegionP.
VARIABLE LEVEL Region  (NOMINAL).
EXECUTE.


*Define Variable Properties.
*HHincmGRP.
VARIABLE LEVEL HHincmGRP  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*PerincmGRP.
VARIABLE LEVEL PerincmGRP  (NOMINAL).
EXECUTE.

*Define Variable Properties.
*HHsizeGRP.
VARIABLE LEVEL HHsizeGRP  (NOMINAL).
EXECUTE.



WEIGHT
BY weight .

SAVE OUTFILE='C:\IHSES_TABLES\T9\Income10-1U.sav'
 /COMPRESSED.


**********Table10-1U****************
**table of income by Governorate
**xgov
**Urban Only
****************************************

FILTER OFF.
USE ALL.
EXECUTE .


COMPUTE filter_$=(xstratPGRP = 1).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xgov Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP  TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] +TIPRec28per [MEAN]+ Cap_Re [MEAN]+ TOT_Totals[MEAN] BY xgov
  /CATEGORIES VARIABLES=xgov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**********Table10-2U**************
**table of income by Governorate
**xgov
**Rural Only
****************************************


FILTER OFF.
USE ALL.
EXECUTE .

COMPUTE filter_$=(xstratPGRP = 2).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xgov Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP  TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] +TIPRec28per [MEAN]+ Cap_Re [MEAN]+ TOT_Totals[MEAN] BY xgov
  /CATEGORIES VARIABLES=xgov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**********Table10-3U**************
**table of income by Governorate
**xgov
**Urban & Rural
****************************************

FILTER OFF.
USE ALL.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=xgov Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP  TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] +TIPRec28per [MEAN]+ Cap_Re [MEAN]+ TOT_Totals[MEAN] BY xgov
  /CATEGORIES VARIABLES=xgov ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**********Table10-4U*************************
**table of income by HH income category
**HHincmGRP
**Urban Only
*************************************************

FILTER OFF.
USE ALL.
EXECUTE .


COMPUTE filter_$=(xstratPGRP = 1).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=HHincmGRP Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] +TIPRec28per [MEAN]+ Cap_Re [MEAN]+ TOT_Totals[MEAN] BY HHincmGRP
  /CATEGORIES VARIABLES=HHincmGRP ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**********Table10-5U*************************
**table of income by HH income category
**HHincmGRP
**Rural Only
*************************************************

FILTER OFF.
USE ALL.
EXECUTE .

COMPUTE filter_$=(xstratPGRP = 2).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=HHincmGRP Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] +TIPRec28per [MEAN]+ Cap_Re [MEAN]+ TOT_Totals[MEAN] BY HHincmGRP
  /CATEGORIES VARIABLES=HHincmGRP ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



**********Table10-6U*************************
**table of income by HH income category
**HHincmGRP
**Urban & Rural
*************************************************

FILTER OFF.
USE ALL.
EXECUTE .

* Custom Tables.
CTABLES
  /VLABELS VARIABLES=HHincmGRP Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] +TIPRec28per [MEAN]+ Cap_Re [MEAN]+ TOT_Totals[MEAN] BY HHincmGRP
  /CATEGORIES VARIABLES=HHincmGRP ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

**********Table10-7U**************************
**Table of income by income Per capita
**PerincmsizGRP
**Urban 
**************************************************

FILTER OFF.
USE ALL.
EXECUTE .

COMPUTE filter_$=(xstratPGRP = 1).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=PerincmGRP  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY PerincmGRP 
  /CATEGORIES VARIABLES=PerincmGRP  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


**********Table10-8U**************************
**Table of income by income Per capita
**PerincmsizGRP
**Rural
**************************************************

FILTER OFF.
USE ALL.
EXECUTE .

COMPUTE filter_$=(xstratPGRP = 2).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

 
* Custom Tables.
CTABLES
  /VLABELS VARIABLES=PerincmGRP  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY PerincmGRP 
  /CATEGORIES VARIABLES=PerincmGRP  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

**********Table10-9U**************************
**Table of income by income Per capita
**PerincmsizGRP
**Urban & Rural
**************************************************

FILTER OFF.
USE ALL.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=PerincmGRP  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY PerincmGRP 
  /CATEGORIES VARIABLES=PerincmGRP  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*****************Table10-10U*****************
**Table of income by HHsize
**HHsizeGRP
**Urban Only
**************************************************

FILTER OFF.
USE ALL.
EXECUTE .

COMPUTE filter_$=(xstratPGRP = 1).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=HHsizeGRP  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY HHsizeGRP 
  /CATEGORIES VARIABLES=HHsizeGRP  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*****************Table10-11U*****************
**Table of income by HHsize
**HHsizeGRP
**Rural Only
**************************************************


FILTER OFF.
USE ALL.
EXECUTE .

COMPUTE filter_$=(xstratPGRP = 2).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=HHsizeGRP  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY HHsizeGRP 
  /CATEGORIES VARIABLES=HHsizeGRP  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*****************Table10-12U*****************
**Table of income by HHsize
**HHsizeGRP
**Urban & Rural
**************************************************


FILTER OFF.
USE ALL.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=HHsizeGRP  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY HHsizeGRP 
  /CATEGORIES VARIABLES=HHsizeGRP  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.



***********************************************************************************************************************
*****************Table10-13U*********************
**Table of income by region
**region
**Urban Only
**************************************************

FILTER OFF.
USE ALL.
EXECUTE .

COMPUTE filter_$=(xstratPGRP = 1).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Region  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY Region 
  /CATEGORIES VARIABLES=Region  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*****************Table10-14U*****************
**Table of income by region
**region
**Rural Only
**************************************************


FILTER OFF.
USE ALL.
EXECUTE .

COMPUTE filter_$=(xstratPGRP = 2).
VARIABLE LABEL filter_$ 'xstratPGRP = 1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Region  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY Region 
  /CATEGORIES VARIABLES=Region  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.


*****************Table10-15U*****************
**Table of income by region
**region
**Urban & Rural
**************************************************


FILTER OFF.
USE ALL.
EXECUTE .


* Custom Tables.
CTABLES
  /VLABELS VARIABLES=Region  Cash_W_All Inkind_W_All OwnAcc RentL RentB Rented otherent Deposit_bonds_loans Bond_share Property
  Ssalaries CKAids Insurence Other_Transfer MP TIPRec28per Cap_Re
    DISPLAY=DEFAULT
  /TABLE Cash_W_All [MEAN] + Inkind_W_All [MEAN] +tot_wage[MEAN] +OwnAcc [MEAN] + RentL [MEAN] + RentB [MEAN] + Rented [MEAN] + otherent
  [MEAN] + Deposit_bonds_loans [MEAN] + Bond_share [MEAN] + Property [MEAN] + tot_property [MEAN]+Ssalaries [MEAN] + CKAids [MEAN] + Insurence
  [MEAN] + Other_Transfer [MEAN] + tot_transfer [MEAN]+ TOT [MEAN]+ MP [MEAN] + TIPRec28per [MEAN] +Cap_Re [MEAN]+ TOT_Totals[MEAN] BY Region 
  /CATEGORIES VARIABLES=Region  ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

